<?php
/**
 * Descriptions
 * @author yzxh24
 * @email yzxh24@gmail.com
 * @created 2011-04-20 14:05:30
 */
class AdfluxController extends BackendController
{
    /**
     * action路径前缀
     */
	protected $actionPrefix = 'admin.controllers.AdFlux.';

    /**
     * action对应表
     */
    protected $actionMap = array(
        'index' => 'IndexAction',
        'sum' => 'SumAction',
        'space' => 'SpaceAction',
    );

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax'] === 'ad-flux-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}